Update Delivery Block (Resource-based)

Make updates to an existing delivery block, including adding or removing resources.

📘

Recurring Delivery Blocks

Blocks can only be created up to 3 months in the future.

If you are using resource-based delivery blocks and optimization, you must use this endpoint instead of the "Assign Driver to Delivery Block."

Note: Any updates to delivery_block_resources will result in a full overwrite of the data.

Response (Output) Params
ParameterDescription
*success**
boolean
Indicates whether the service completed successfully.
  • false* - the service failed.
  • true* - the service succeeded
*message**
string
If an error occurred, a message indicating the error is included.
*rc**
integer
If an error occurred, the return code is included.
*break_end_time**
datetime
The ending date and time of the break in this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".
*break_start_time**
datetime
The starting date and time of the break in this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".
*capacity**
integer
The number of drivers assigned to this delivery block.
*description**
string
The description of this delivery block.
*delivery_block_breaks**
array of objects
An array of Delivery Blocks Breaks objects, where each object contains a delivery block breaks object.
*delivery_block_recharges**
array of objects
An array of Delivery Blocks Recharge objects, where each object contains a delivery block recharge object.
*delivery_block_resources**
array of objects
An array of Delivery Blocks Resources objects, where each object contains a delivery block resources object.
*delivery_block_schedule_id**
integer
*end_time**
datetime
The ending date and time of this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".
*ical**
string
The recurring rule for the delivery blocks.
*id**
integer
The Bringg ID for the delivery block.
*name**
string
The name of this delivery block.
*original_capacity**
integer
The number of drivers that should be working in this delivery block.
*resources_capacity**
integer
The number of resource (vehicles and/or drivers) that are currently assigned to this individual delivery block.
*start_time**
datetime
The starting date and time of this delivery block. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z".
*team_id**
integer
The Bringg ID of the team to which to this delivery block is assigned.
*user_ids**
array
An array containing the IDs of the drivers assigned to this delivery block.
*users**
array
An array of objects containing the ID, name, and email of the drivers assigned to this delivery block.
Body Params
int32
required

The ID of the delivery block that you intend to update.

delivery_block_breaks
array of objects

An array of objects used to add breaks, including break start and end times, locations, and durations when applicable.

delivery_block_breaks
delivery_block_recharges
array of objects

(Resource-based optimization only) An array of objects used to add reload times to a delivery block. Required only when drivers or vehicles need to reload at a specific time. If they can reload multiple times based on the creation of new routes, this array is not needed.

delivery_block_recharges
delivery_blocks_resources
array of objects

(Resource-based optimization only) An array of objects used to add resource details such as driver, vehicle or trailer IDs, and start location type. Note: any updates to this parameter will result in a full overwrite of the data.

delivery_blocks_resources
string

The description of this delivery block.

date

The ending date and time of this delivery block.

string

Set delivery block to be recurring according to a rule. MUST BE IN UPPERCASE. See https://tools.ietf.org/html/rfc5545 to generate rule.

string

The name of this delivery block.

int32

The number of drivers that should work this delivery block.

string
enum

Indicates whether the delivery block is a recurring delivery block. The values are: all - All delivery blocks in that series from the current time stamp forward, future - All delivery blocks in that series from that delivery block forward.

Allowed:
int32

(Resource-based optimization only) Used together with original_capacity to determine the number of resources available to assign to the delivery block.

date

The starting date and time of this delivery block.

int32

The ID of the team to which to assign this delivery block.

user_ids
array of int32s

(Driver-based optimization only) The IDs of the drivers assigned to this delivery block.

user_ids
users
object

(Driver-based optimization only) An array of objects containing the Id, name, and email of the drivers assigned to this delivery block.

string

Your external system's ID of the team to which to assign this delivery block.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json